Bug 43663 - ModalPushed and ModalPopped not working on UWP
Summary: ModalPushed and ModalPopped not working on UWP
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.3.0
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-08-23 12:40 UTC by Andreas
Modified: 2016-11-29 19:05 UTC (History)
4 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Andreas 2016-08-23 12:40:32 UTC
The events ModalPushed and ModalPopped on the Application class do not fire under UWP.
They work fine under iOS and Android.

public App()
{
  InitializeComponent();

  MainPage = new PopTestApp.MainPage();
  ModalPushed += (sender, args) => { // Will never execute on UWP };
  ModalPopped += (o, eventArgs) => { // Will never execute on UWP };
}
Comment 1 Samantha Houts [MSFT] 2016-11-15 19:44:49 UTC
Should be fixed in 2.3.4-pre1. Thank you!